/// <reference types="node" />
import * as web3 from '@solana/web3.js';
import { CreatorAccountData } from '.';
export declare type SecondaryMetadataCreatorsAccountDataArgs = {
    creators: CreatorAccountData[];
};
export declare class SecondaryMetadataCreatorsAccountData implements SecondaryMetadataCreatorsAccountDataArgs {
    readonly creators: CreatorAccountData[];
    private constructor();
    static fromArgs(args: SecondaryMetadataCreatorsAccountDataArgs): SecondaryMetadataCreatorsAccountData;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [SecondaryMetadataCreatorsAccountData, number];
    static byteSize(args: SecondaryMetadataCreatorsAccountDataArgs): number;
    static getMinimumBalanceForRentExemption(args: SecondaryMetadataCreatorsAccountDataArgs, connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static deserialize(buf: Buffer, offset?: number): [SecondaryMetadataCreatorsAccountData, number];
    serialize(): [Buffer, number];
    pretty(): {
        creators: CreatorAccountData[];
    };
}
