"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCreateSecondaryMetadataCreatorsInstruction = void 0;
const beet = __importStar(require("@metaplex-foundation/beet"));
const web3 = __importStar(require("@solana/web3.js"));
const consts_1 = require("../consts");
const Creator_1 = require("../accounts/Creator");
const createSecondaryMetadataCreatorsStruct = new beet.FixableBeetArgsStruct([
    ['instructionDiscriminator', beet.uniformFixedSizeArray(beet.u8, 8)],
    ['secondaryMetadataCreatorsBump', beet.u8],
    ['creators', beet.array(Creator_1.creatorAccountDataStruct)],
], 'CreateSecondaryMetadataCreatorsInstructionArgs');
const createSecondaryMetadataCreatorsInstructionDiscriminator = [
    179, 194, 135, 183, 65, 63, 241, 76,
];
function createCreateSecondaryMetadataCreatorsInstruction(accounts, args) {
    const { admin, metadata, secondaryMetadataCreators } = accounts;
    const [data] = createSecondaryMetadataCreatorsStruct.serialize(Object.assign({ instructionDiscriminator: createSecondaryMetadataCreatorsInstructionDiscriminator }, args));
    const keys = [
        {
            pubkey: admin,
            isWritable: true,
            isSigner: true,
        },
        {
            pubkey: metadata,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: secondaryMetadataCreators,
            isWritable: true,
            isSigner: false,
        },
        {
            pubkey: web3.SystemProgram.programId,
            isWritable: false,
            isSigner: false,
        },
    ];
    const ix = new web3.TransactionInstruction({
        programId: new web3.PublicKey(consts_1.PROGRAM_ID),
        keys,
        data,
    });
    return ix;
}
exports.createCreateSecondaryMetadataCreatorsInstruction = createCreateSecondaryMetadataCreatorsInstruction;
//# sourceMappingURL=createSecondaryMetadataCreators.js.map