"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mintTokenToAccount = void 0;
const web3_js_1 = require("@solana/web3.js");
const spl_token_1 = require("@solana/spl-token");
const amman_1 = require("@metaplex-foundation/amman");
const transactions_1 = require("../transactions");
const mintTokenToAccount = ({ connection, payer, transactionHandler, }) => __awaiter(void 0, void 0, void 0, function* () {
    const tx = new web3_js_1.Transaction();
    const { mint, createMintTx } = yield new amman_1.Actions(connection).createMintAccount(payer);
    tx.add(createMintTx);
    const { tokenAccount: associatedTokenAccount, createTokenTx } = yield (0, transactions_1.createTokenAccount)({
        payer,
        mint: mint.publicKey,
        connection,
    });
    tx.add(createTokenTx);
    tx.add(spl_token_1.Token.createMintToInstruction(new web3_js_1.PublicKey(spl_token_1.TOKEN_PROGRAM_ID), mint.publicKey, associatedTokenAccount.publicKey, payer, [], 1));
    yield transactionHandler.sendAndConfirmTransaction(tx, [mint, associatedTokenAccount], amman_1.defaultSendOptions);
    return { mint, mintAta: associatedTokenAccount };
});
exports.mintTokenToAccount = mintTokenToAccount;
//# sourceMappingURL=mintTokenToAccount.js.map