"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBuyTransaction = void 0;
const web3_js_1 = require("@solana/web3.js");
const mpl_token_metadata_1 = require("@metaplex-foundation/mpl-token-metadata");
const instructions_1 = require("../../src/instructions");
const createBuyTransaction = ({ connection, buyer, userTokenAccount, resourceMintMetadata, resourceMintEditionMarker, resourceMintMasterEdition, sellingResource, tradeHistory, tradeHistoryBump, market, marketTreasuryHolder, vault, vaultOwner, vaultOwnerBump, newMint, newMintEdition, newMintMetadata, }) => __awaiter(void 0, void 0, void 0, function* () {
    const instruction = yield (0, instructions_1.createBuyInstruction)({
        userWallet: buyer,
        userTokenAccount,
        editionMarker: resourceMintEditionMarker,
        masterEdition: resourceMintMasterEdition,
        masterEditionMetadata: resourceMintMetadata,
        vault,
        sellingResource,
        owner: vaultOwner,
        market,
        tradeHistory,
        treasuryHolder: marketTreasuryHolder,
        newMint,
        newMetadata: newMintMetadata,
        newEdition: newMintEdition,
        tokenMetadataProgram: mpl_token_metadata_1.MetadataProgram.PUBKEY,
    }, { tradeHistoryBump, vaultOwnerBump });
    const tx = new web3_js_1.Transaction();
    tx.add(instruction);
    tx.recentBlockhash = (yield connection.getRecentBlockhash()).blockhash;
    tx.feePayer = buyer;
    return { tx };
});
exports.createBuyTransaction = createBuyTransaction;
//# sourceMappingURL=buy.js.map