"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSecondaryMetadataCreators = void 0;
const utils_1 = require("../utils");
const src_1 = require("../../src");
const createSecondaryMetadataCreators_1 = require("../../src/instructions/createSecondaryMetadataCreators");
const createSecondaryMetadataCreators = ({ payer, connection, metadata, creators, }) => __awaiter(void 0, void 0, void 0, function* () {
    const [secondaryMetadataCreators, secondaryMetadataCreatorsBump] = yield (0, src_1.findSecondaryMetadataCreatorsAddress)(metadata);
    const createSecondaryMetadataCreatorsInstruction = (0, createSecondaryMetadataCreators_1.createCreateSecondaryMetadataCreatorsInstruction)({
        admin: payer.publicKey,
        metadata,
        secondaryMetadataCreators,
    }, {
        secondaryMetadataCreatorsBump,
        creators,
    });
    const createSecondaryMetadataCreatorsTx = yield (0, utils_1.createAndSignTransaction)(connection, payer, [createSecondaryMetadataCreatorsInstruction], [payer]);
    return { createSecondaryMetadataCreatorsTx, secondaryMetadataCreators };
});
exports.createSecondaryMetadataCreators = createSecondaryMetadataCreators;
//# sourceMappingURL=createSecondaryMetadataCreators.js.map