"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createWithdrawTransaction = void 0;
const spl_token_1 = require("@solana/spl-token");
const utils_1 = require("../utils");
const instructions_1 = require("../../src/instructions");
const createWithdrawTransaction = ({ payer, connection, market, payoutTicket, destination, treasuryMint, treasuryHolder, metadata, sellingResource, treasuryOwnerBump, payoutTicketBump, treasuryOwner, }) => __awaiter(void 0, void 0, void 0, function* () {
    const instruction = yield (0, instructions_1.createWithdrawInstruction)({
        market,
        sellingResource,
        metadata,
        treasuryHolder,
        treasuryMint,
        owner: treasuryOwner,
        destination,
        funder: payer.publicKey,
        payer: payer.publicKey,
        payoutTicket: payoutTicket,
        associatedTokenProgram: spl_token_1.ASSOCIATED_TOKEN_PROGRAM_ID,
    }, {
        treasuryOwnerBump,
        payoutTicketBump,
    });
    const withdrawTx = yield (0, utils_1.createAndSignTransaction)(connection, payer, [instruction], [payer]);
    return withdrawTx;
});
exports.createWithdrawTransaction = createWithdrawTransaction;
//# sourceMappingURL=withdraw.js.map